<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.PaymentsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="paymentsResultMap" type="org.springblade.modules.platform.entity.Payments">
        <id column="id" property="id"/>
        <result column="pay_img" property="payImg"/>
        <result column="pay_code" property="payCode"/>
        <result column="pay_name" property="payName"/>
        <result column="pay_desc" property="payDesc"/>
        <result column="sort" property="sort"/>
        <result column="pay_config" property="payConfig"/>
        <result column="is_enabled" property="isEnabled"/>
        <result column="is_online" property="isOnline"/>
        <result column="pay_for" property="payFor"/>
    </resultMap>


    <select id="selectPaymentsPage" resultMap="paymentsResultMap">
        select * from t_payments where is_deleted = 0
    </select>

</mapper>
